Pod::Spec.new do |s|
  s.name             = 'WebIdAutoIdentOnDeviceProductPlugin'
  s.version          = '13.4.0-SNAPSHOT'
  s.summary          = 'The WebID auto-ident on-device product-plugin for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdAutoIdentOnDeviceProductPlugin/13.4.0/WebIdAutoIdentOnDeviceProductPlugin.framework-v13.4.0-SNAPSHOT-1246.zip', :sha256 => 'e2d4b9f8ec4b4760ce95e9fa57caf771c0f0b2e112ccc6e59fef5689d413aca1' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdAutoIdentOnDeviceProductPlugin.xcframework'

  s.dependency "DocumentReader", "~> 7.2"
  s.dependency "RegulaCommon", "~> 7.2"
  s.dependency "WebIdDigitalSigningPlugin", "11.2.0-SNAPSHOT" #branch:snapshots
  s.dependency "WebIdIosIdentScanPlugin", "12.3.0-SNAPSHOT" #branch:snapshots
  s.dependency "WebIdOnDeviceDocumentScanner", "12.3.0-SNAPSHOT" #branch:snapshots
end
